summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPetr Rockai <prockai@redhat.com>2012-08-11 10:29:38 +0200
committerPetr Rockai <prockai@redhat.com>2012-09-26 12:23:34 +0200
commit376cb3fe64c4874fe4276722c4276521481dc80b (patch)
treead9fca619bca077ab3d3f3157bf86893c6c96255
parent17901569da5294322dcb09fd9b66531adabdf95d (diff)
downloadlvm2-376cb3fe64c4874fe4276722c4276521481dc80b.tar.gz
lvm2-376cb3fe64c4874fe4276722c4276521481dc80b.tar.xz
lvm2-376cb3fe64c4874fe4276722c4276521481dc80b.zip
TEST: Kill lvmetad early in teardown.
-rw-r--r--test/lib/aux.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index 26508cf8..0b46c79f 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -164,6 +164,7 @@ teardown_devs() {
teardown() {
echo -n "## teardown..."
+ test ! -s LOCAL_LVMETAD || kill -9 "$(cat LOCAL_LVMETAD)" || true
dm_table | not egrep -q "$vg|$vg1|$vg2|$vg3|$vg4" || {
# Avoid activation of dmeventd if there is no pid
@@ -183,7 +184,6 @@ teardown() {
pgrep dmeventd || true
test ! -s LOCAL_DMEVENTD || kill -9 "$(cat LOCAL_DMEVENTD)" || true
- test ! -s LOCAL_LVMETAD || kill -9 "$(cat LOCAL_LVMETAD)" || true
echo -n .